%global common_description %{expand:
MaxMind’s GeoIP2 and GeoLite2 IP intelligence products and services are used to
discover information about a specific IP address, providing free and paid web services,
subscription-based downloadable databases, and free downloadable databases.
GeoLite2 databases are free IP geolocation databases comparable to, but less accurate than,
MaxMind’s GeoIP2 databases. The GeoLite2 Country, City, and ASN databases are updated weekly.}

Summary:        Free IP geolocation databases to discover information about a specific IP address
Name:           geolite2
Version:        20191217
Release:        3%{?dist}
License:        CC-BY-SA
URL:            https://dev.maxmind.com/geoip/geoip2/geolite2/
Source0:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-ASN_%{version}.tar.gz
Source1:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-City_%{version}.tar.gz
Source2:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-Country_%{version}.tar.gz
BuildArch:      noarch

%description %{common_description}


%package asn
Summary:        Free IP geolocation ASN database

%description asn %{common_description}


%package city
Summary:        Free IP geolocation city database

%description city %{common_description}


%package country
Summary:        Free IP geolocation country database

%description country %{common_description}


%prep
%setup -q -T -c -a 0 -a 1 -a 2


%install
for db in GeoLite2-{ASN,City,Country}; do
    install -D -p -m 0644 ${db}_%{version}/$db.mmdb %{buildroot}%{_datadir}/GeoIP/$db.mmdb
done


%files asn
%license GeoLite2-ASN_%{version}/COPYRIGHT.txt GeoLite2-ASN_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%{_datadir}/GeoIP/GeoLite2-ASN.mmdb


%files city
%license GeoLite2-City_%{version}/COPYRIGHT.txt GeoLite2-City_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%{_datadir}/GeoIP/GeoLite2-City.mmdb


%files country
%license GeoLite2-Country_%{version}/COPYRIGHT.txt GeoLite2-Country_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%{_datadir}/GeoIP/GeoLite2-Country.mmdb


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20191217-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20191217-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 01 2022 rockerzhu <rockerzhu@tencent.com> - 20191217-1
- Initial build
